Create custom attribute

Creates a new custom attribute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

ID of the app.

Body Params
string
required
length between 1 and 255

Name of the attribute.

string
required
length between 1 and 255

Determines from which key in an event the attribute will be populated. The value can be either:

  • known analytics event data key (e.g. analytics.source_medium)
  • custom event data key (^[a-z0-9_]{1,255}$, e.g. user_score) - can be used to update attributes via API

If an attribute with the given event_data_key already exists, its type must match; otherwise, an appropriate error will be returned.

string
enum
required

Type of the data.

Allowed:
string
enum
required

Aggregation type for attribute values.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain